package org.example.Service;

import org.example.Entity.BaseResponse.BaseResponse;
import org.example.Entity.System.LoginUserInfo;

import java.util.List;
import java.util.Map;
import java.util.Optional;

public interface AuthService {

    // 获取当前用户信息
    LoginUserInfo getCurrentUser();


    // 记录系统日志
    void logAction(String message, String actionType);


    List<LoginUserInfo> GetUserByName(String loginAccount, String rec);
}
